Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface WCMApiObject

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponent, ContentComponentContainer, ContentLink, ContentPrototype, CustomWorkflowAction, DateComponent, Document, DocumentLibrary, DocumentManagerComponent, Editable, EditableLibraryComponent, Edition, EmailAction, ExpireAction, FileComponent, Folder, HierarchicalPrototype, HierarchicalTemplate, HierarchicalTemplatedDocument, HTMLComponent, ImageComponent, Item, JSPComponent, Library, LibraryAuthoringToolsComponent, LibraryComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent, LinkComponent, NumericComponent, OptionSelectionComponent, Placeable, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, PublishAction, ReferenceComponent, RichTextComponent, ScheduledMoveAction, ScheduledWorkflowAction, ShortTextComponent, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Subscriber, Syndicator, TargetableContentComponent, Taxonomy, TemplatedDocument, TextComponent, UserSelectionComponent, VersionAction, Workflow, WorkflowAction, WorkflowStage

    public interface WCMApiObject

Represents an object type in the WCM API.

Since:
  8.0

Method Summary
`java.lang.String` | `getName()` Returns the name of this `WCMApiObject`.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this `WCMApiObject`.

  Returns `null` if this `WCMApiObject` does not have a name.

  Returns:
    the name of this `WCMApiObject`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD